//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 



//	Blue, bright glass.  Light swirl pattern to it.

//****************************************************************************
//               BLUEglass mix
//****************************************************************************

textures/sk8glass/nuit2glass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/nuit2glass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/nuit3glass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/nuit3glass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/nuit4glass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/nuit4glass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/violetglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/violetglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/vertglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/vertglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/nuitglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/nuitglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}


//****************************************************************************
//               PLAINglass mix
//****************************************************************************

textures/sk8glass/plainnuit2glass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/plainnuit2glass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/plainnuit3glass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/plainnuit3glass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/plainvioletglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/plainvioletglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/plainvertglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull disable
	{
		map textures/sk8glass/plainvertglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

textures/sk8glass/plainnuitglass
{
	surfaceparm nolightmap
	surfaceparm solid
//	surfaceparm slick
	cull disable
	{
		map textures/sk8glass/plainnuitglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//****************************************************************************
// *********  SLICK pas glass  **************
//****************************************************************************

textures/sk8glass/vert1slick
{
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	cull disable
	{
		map textures/sk8glass/vert1slick.TGA
                }
}

//textures/sk8slick/vert1slick
//{
//	surfaceparm nolightmap
//	surfaceparm solid
//	surfaceparm noimpact
//	surfaceparm nomarks
//	surfaceparm nodamage
//	surfaceparm slick
//	cull disable
//	{
//		map textures/sk8slick/vert1slick.TGA
//                }
//}

textures/sk8glass/vert2slick
{
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	cull disable
	{	
		map textures/sk8glass/vert2slick.TGA
		}
}


textures/sk8glass/orange00
{
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nodamage
	cull disable
	{	
		map textures/sk8glass/orange00.TGA
		}
}